Crux: BRE/WFE - Task #17864

WSC: WFschemaNew()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Tushar Bhingare % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Mar

Description

History

#1 - 17/02/2024 05:26 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 17/02/2024 05:26 PM - Shuvam Misra

- Target version set to Sprint 29 Feb

#3 - 19/02/2024 07:54 PM - Tushar Bhingare
- % Done changed from 0 to 80

- Assignee set to Tushar Bhingare

updated the custom validation and added the data change log to the schemaNew WSC.
remaining:-
have to modify unit testcases

#4 - 20/02/2024 07:00 PM - Tushar Bhingare

- Status changed from In Progress to Testing

added automated unit test cases

#5 - 26/02/2024 11:32 PM - Tushar Bhingare
- % Done changed from 80 to 90

conducted code review with Sachin and changed necessary things like adding len validation.

#6 - 27/02/2024 02:54 PM - Tushar Bhingare
- % Done changed from 90 to 100

- Status changed from Testing to Closed

fixed test cases

#7 - 20/03/2024 11:03 AM - Tushar Bhingare

- Status changed from Closed to Rework

#8 - 20/03/2024 03:26 PM - Shuvam Misra

Why is this issue in rework?

#9 - 20/03/2024 03:26 PM - Shuvam Misra
- Target version changed from Sprint 29 Feb to Sprint 29 Mar

#10 - 20/03/2024 07:12 PM - Tushar Bhingare

- Status changed from Rework to Closed
| used the matching-engine data structure modifications that | had implemented in my WSC. The PatternSchema_t struct of the matching-engine data
structure | am working with has an EnumVals field of type map[string]struct{}. But for EnumVals, the Ul team is using [Istrings. Initially, | was
anticipating EnumVals in map([string]struct{} in the payload. However, as of right now, | am anticipating EnumVals in []string, which | will convert to
map][string]struct{} before storing it in the database after validation.
